Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management
Class ProviderDescription

    java.lang.Object
      com.bea.p13n.security.management.ProviderDescription

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  AtnProviderDescription, AuthorizerDescription, CredentialProviderDescription, RoleProviderDescription

    public class ProviderDescription

extends Object
implements Serializable

This base class holds information describing a single SSPI provider. It is a convenience class, an immutable value object used by provider management functions.

See Also
  Serialized Form

Field Summary
`static int` | `DUMB_PROVIDER` The security provider represented by this object, in total, implements no MBean interfaces.
`static int` | `READ_ONLY_PROVIDER` The security provider represented by this object, in total, implements enough optional MBean interfaces to allow read operations.
`static int` | `READ_WRITE_PROVIDER` The security provider represented by this object, in total, implements enough optional MBean interfaces to allow full CRUD operations.

Constructor Summary
`ProviderDescription()`
`ProviderDescription(String theVersion, String aDescription, String aDisplayName)`

Method Summary
`String` | `getDescription()` Get the description of this provider's implementation.
`String` | `getDisplayName()` Get the display description of this provider's implementation.
`String` | `getVersion()` Get the version number of this provider's implementation.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUMB_PROVIDER

    public static final int DUMB_PROVIDER

  The security provider represented by this object, in total, implements no MBean interfaces.

  See Also
    Constants Summary

### READ_ONLY_PROVIDER

    public static final int READ_ONLY_PROVIDER

  The security provider represented by this object, in total, implements enough optional MBean interfaces to allow read operations.

  See Also
    Constants Summary

### READ_WRITE_PROVIDER

    public static final int READ_WRITE_PROVIDER

  The security provider represented by this object, in total, implements enough optional MBean interfaces to allow full CRUD operations.

  See Also
    Constants Summary

Constructor Detail

### ProviderDescription

    public ProviderDescription()

### ProviderDescription

    public ProviderDescription(String theVersion,
                               String aDescription,
                               String aDisplayName)

Method Detail

### getVersion

    public String getVersion()

  Get the version number of this provider's implementation.

  Returns
    version number

### getDescription

    public String getDescription()

  Get the description of this provider's implementation.

  Returns
    Short description of provider's implementation.

### getDisplayName

    public String getDisplayName()

  Get the display description of this provider's implementation.

  Returns
    Short description of provider's implementation.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved